<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org">

<head>
    <meta name="viewport" content="width=device-width,initial-scale=1"/>
    <meta charset="UTF-8"/>
    <title>订单列表</title>

    <link th:href="@{/Bootstrap/css/orderlist.css}" rel="stylesheet"/>
    <link rel="stylesheet" href="https://cdn.bootcss.com/bootstrap/4.0.0/css/bootstrap.min.css"
          integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <script src="https://cdn.bootcss.com/popper.js/1.12.9/umd/popper.min.js"
            integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
            crossorigin="anonymous"></script>
    <script src="https://cdn.bootcss.com/bootstrap/4.0.0/js/bootstrap.min.js"
            integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
            crossorigin="anonymous"></script>
</head>

<body>
<div class="data-container">
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a th:href="@{'/courselist'}">课程列表</a></li>
            <li class="breadcrumb-item"><a th:href="@{'/orderlist'}">订单列表</a></li>
            <li class="breadcrumb-item"><a th:href="@{'/hotelroomlist'}">房间列表</a></li>
        </ol>
    </nav>
    <div class="title">订单列表</div>
    <form action="/orderlist", method="get" class="form-inline">
        <div class="form-group mb-2">
            <label for="contactPhone" class="phone-label">手机号</label>
            <input type="digit" class="form-control col-sm-8" id="contactPhone"
                       name="contactPhone" placeholder="手机号" th:value="${contactPhone}">
        </div>
        <button type="submit" class="btn btn-primary mb-2">搜索</button>
    </form>
    <form action="/export", method="post" class="form-inline">
        <button type="submit" class="btn btn-danger mb-2">导出全部</button>
    </form>
    <nav aria-label="Page navigation example">
        <ul class="pagination justify-content-end">
            <li th:class="${indexPage==1}?'page-item disabled' : 'page-item'">
                <a class="page-link"
                   th:href="@{'orderlist?pageIndex=' + ${indexPage-1}+ '&contactPhone=' + ${contactPhone} + '&orderNo=' + ${orderNo}}"
                   aria-label="Previous">
                    <span aria-hidden="true">&laquo;</span>
                    <span class="sr-only">Previous</span>
                </a>
            </li>

            <li class="page-item" th:if="${indexPage-3 >=1}">
                <a class="page-link"
                   th:href="@{'orderlist?pageIndex=' + ${indexPage-3} + '&contactPhone=' + ${contactPhone} + '&orderNo=' + ${orderNo}}"
                   th:text="${indexPage -3}">1</a>
            </li>
            <li class="page-item" th:if="${indexPage-2 >=1}">
                <a class="page-link"
                   th:href="@{'orderlist?pageIndex=' + ${indexPage-2}+ '&contactPhone=' + ${contactPhone} + '&orderNo=' + ${orderNo}}"
                   th:text="${indexPage -2}">1</a></li>
            <li class="page-item" th:if="${indexPage-1 >=1}">
                <a class="page-link"
                   th:href="@{'orderlist?pageIndex=' + ${indexPage-1} + '&contactPhone=' + ${contactPhone} + '&orderNo=' + ${orderNo}}"
                   th:text="${indexPage -1}">1</a></li>
            <li class="page-item active">
                <a class="page-link" href="#" th:text="${indexPage}">1</a>
            </li>
            <li class="page-item" th:if="${indexPage+1 <=totalPage}">
                <a class="page-link"
                   th:href="@{'orderlist?pageIndex=' + ${indexPage+1} + '&contactPhone=' + ${contactPhone} + '&orderNo=' + ${orderNo}}"
                   th:text="${indexPage +1}">1</a></li>
            <li class="page-item" th:if="${indexPage+2 <=totalPage}">
                <a class="page-link"
                   th:href="@{'orderlist?pageIndex=' + ${indexPage+2} + '&contactPhone=' + ${contactPhone} + '&orderNo=' + ${orderNo}}"
                   th:text="${indexPage +2}">1</a></li>
            <li class="page-item" th:if="${indexPage+3 <=totalPage}">
                <a class="page-link"
                   th:href="@{'orderlist?pageIndex=' + ${indexPage+3} + '&contactPhone=' + ${contactPhone} + '&orderNo=' + ${orderNo}}"
                   th:text="${indexPage +3}">1</a></li>
            <li th:class="${indexPage==totalPage}?'page-item disabled' : 'page-item'">
                <a class="page-link"
                   th:href="@{'orderlist?pageIndex=' + ${indexPage+1} + '&contactPhone=' + ${contactPhone} + '&orderNo=' + ${orderNo}}"
                   aria-label="Next">
                    <span aria-hidden="true">&raquo;</span>
                    <span class="sr-only">Next</span>
                </a>
            </li>
        </ul>
    </nav>
    <table class="table table-hover">
        <thead>
        <tr>
            <th scope="col">#</th>
            <th scope="col">订单号</th>
            <th scope="col">课程名称</th>
            <th scope="col">机构名称</th>
            <th scope="col">联系人</th>
            <th scope="col">联系电话</th>
            <th scope="col">订单状态</th>
            <th scope="col">操作</th>
        </tr>
        </thead>
        <tbody>

        <tr th:each="order:${orders}">
            <td><span th:text="${orders.indexOf(order) + 1}"></span></td>
            <td><span th:text="${order.orderNo}"></span></td>
            <td><span th:text="${order.courseName}"></span></td>
            <td><span th:text="${order.orgName}"></span></td>
            <td><span th:text="${order.contactName}"></span></td>
            <td><span th:text="${order.contactPhone}"></span></td>

            <td>
                <span th:if="${order.orderStatus==2}">已付款</span>
                <span th:if="${order.orderStatus==3}">已完成</span>
            </td>
            <td>
                <a class="btn btn-info" th:href="@{'orderdetail/'+ ${order.orderNo}}" role="button">查看详情</a>
                <button type="button" class="btn btn-primary" th:if="${order.orderStatus==2}"
                        th:attr="data-id=${order.orderNo}" th:onclick="'javascript:checkin(this);'">签到
                </button>
            </td>
        </tr>

        </tbody>
    </table>
    <nav aria-label="Page navigation example">
        <ul class="pagination justify-content-end">
            <li th:class="${indexPage==1}?'page-item disabled' : 'page-item'">
                <a class="page-link"
                   th:href="@{'orderlist?pageIndex=' + ${indexPage-1}+ '&contactPhone=' + ${contactPhone} + '&orderNo=' + ${orderNo}}"
                   aria-label="Previous">
                    <span aria-hidden="true">&laquo;</span>
                    <span class="sr-only">Previous</span>
                </a>
            </li>

            <li class="page-item" th:if="${indexPage-3 >=1}">
                <a class="page-link"
                   th:href="@{'orderlist?pageIndex=' + ${indexPage-3} + '&contactPhone=' + ${contactPhone} + '&orderNo=' + ${orderNo}}"
                   th:text="${indexPage -3}">1</a>
            </li>
            <li class="page-item" th:if="${indexPage-2 >=1}">
                <a class="page-link"
                   th:href="@{'orderlist?pageIndex=' + ${indexPage-2}+ '&contactPhone=' + ${contactPhone} + '&orderNo=' + ${orderNo}}"
                   th:text="${indexPage -2}">1</a></li>
            <li class="page-item" th:if="${indexPage-1 >=1}">
                <a class="page-link"
                   th:href="@{'orderlist?pageIndex=' + ${indexPage-1} + '&contactPhone=' + ${contactPhone} + '&orderNo=' + ${orderNo}}"
                   th:text="${indexPage -1}">1</a></li>
            <li class="page-item active">
                <a class="page-link" href="#" th:text="${indexPage}">1</a>
            </li>
            <li class="page-item" th:if="${indexPage+1 <=totalPage}">
                <a class="page-link"
                   th:href="@{'orderlist?pageIndex=' + ${indexPage+1} + '&contactPhone=' + ${contactPhone} + '&orderNo=' + ${orderNo}}"
                   th:text="${indexPage +1}">1</a></li>
            <li class="page-item" th:if="${indexPage+2 <=totalPage}">
                <a class="page-link"
                   th:href="@{'orderlist?pageIndex=' + ${indexPage+2} + '&contactPhone=' + ${contactPhone} + '&orderNo=' + ${orderNo}}"
                   th:text="${indexPage +2}">1</a></li>
            <li class="page-item" th:if="${indexPage+3 <=totalPage}">
                <a class="page-link"
                   th:href="@{'orderlist?pageIndex=' + ${indexPage+3} + '&contactPhone=' + ${contactPhone} + '&orderNo=' + ${orderNo}}"
                   th:text="${indexPage +3}">1</a></li>
            <li th:class="${indexPage==totalPage}?'page-item disabled' : 'page-item'">
                <a class="page-link"
                   th:href="@{'orderlist?pageIndex=' + ${indexPage+1} + '&contactPhone=' + ${contactPhone} + '&orderNo=' + ${orderNo}}"
                   aria-label="Next">
                    <span aria-hidden="true">&raquo;</span>
                    <span class="sr-only">Next</span>
                </a>
            </li>
        </ul>
    </nav>
</div>
<script th:src="@{bootstrap/js/jquery.3.3.1.min.js}"></script>
<script type="application/javascript">
    function checkin(e) {
        var orderno = $(e).data('id');

        $.post("checkinorder", { orderNo: orderno },
            function(data){
            if(data == 'success'){
                location.href = "orderlist";
            }});
    }

</script>
</body>

</html>